package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.ParkingWay;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface ParkingWayDAO {
	int insert(ParkingWay entity);
	int update(ParkingWay entity);
	int exist(String id);
	ParkingWay get(String id);
	int delete(String id);
	List<ParkingWay> list();
	List<ParkingWay> search(Map<String,Object> searchParams,List<Sort> sortList);

    ParkingWay findByCompanyId(String companyId);
}